import { NgModule } from '@angular/core';
// import { CommonModule } from '@angular/common';
import {
  MatToolbarModule,
  MatIconModule,
  MatSidenavModule,
  MatListModule,
  MatButtonModule,
  MatBadgeModule,
  MatCardModule,
  MatDividerModule,
  MatChipsModule,
  MatFormFieldModule,
  MatExpansionModule,
  MatMenuModule,
  MatTooltipModule,
  MatSelectModule,
  MatStepperModule,
  MatCheckboxModule,
  MatDatepickerModule,
  MatNativeDateModule,
  MatInputModule,
  MatProgressBarModule,
  MatTableModule,
  MatPaginatorModule,
  MatSortModule,
  MatSlideToggleModule,
  MatRadioModule,
  MatRippleModule,
  MatTabsModule,
  MatSnackBarModule,
  MatProgressSpinnerModule,
  MatButtonToggleModule,
  MatAutocompleteModule
} from '@angular/material';

// import { MatCarouselModule } from '@ngmodule/material-carousel';

@NgModule({
  imports: [
    // CommonModule,
    MatToolbarModule,
    MatIconModule,
    MatSidenavModule,
    MatListModule,
    MatButtonModule,
    MatBadgeModule,
    MatCardModule,
    MatDividerModule,
    MatChipsModule,
    MatFormFieldModule,
    MatExpansionModule,
    MatMenuModule,
    MatTooltipModule,
    // MatCarouselModule,
    MatSelectModule,
    MatStepperModule,
    MatCheckboxModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatInputModule,
    MatProgressBarModule,
    MatTableModule,
    MatPaginatorModule,
    MatSlideToggleModule,
    MatSortModule,
    MatRadioModule,
    MatRippleModule,
    MatTabsModule,
    MatSnackBarModule,
    MatProgressSpinnerModule,
    MatButtonToggleModule,
    MatAutocompleteModule,
  ],
  exports: [
    // CommonModule,
    MatToolbarModule,
    MatIconModule,
    MatSidenavModule,
    MatListModule,
    MatButtonModule,
    MatBadgeModule,
    MatCardModule,
    MatDividerModule,
    MatChipsModule,
    MatFormFieldModule,
    MatExpansionModule,
    MatMenuModule,
    MatTooltipModule,
    // MatCarouselModule,
    MatSelectModule,
    MatStepperModule,
    MatCheckboxModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatInputModule,
    MatProgressBarModule,
    MatTableModule,
    MatPaginatorModule,
    MatSortModule,
    MatSlideToggleModule,
    MatRadioModule,
    MatRippleModule,
    MatTabsModule,
    MatSnackBarModule,
    MatProgressSpinnerModule,
    MatButtonToggleModule,
    MatAutocompleteModule,
  ]
})
export class MaterialModule { }
